;**********************************************************************
;
; FILE
;   model.h  -  define memory model
;
; REMARKS
;   The definitions LARGEMODEL, SMALLMODEL, MEDIUMMODEL and COMPACTMODEL
;   are mutually exclusive.  The symbols LCODE and LDATA means large
;   (>64k) code and large data segments.
;
; LAST UPDATE
;   12 February 1988
;
;**********************************************************************

SMALLMODEL      EQU     1       ; 1 code segment, 1 data segment 
MEDIUMMODEL     EQU     0       ; multiple code segments, 1 data segment
COMPACTMODEL    EQU     0       ; 1 code segment, multiple data segments
LARGEMODEL      EQU     0       ; multiple code and data segments

IF SMALLMODEL
LCODE   EQU     0
LDATA   EQU     0
%out    SMALL MODEL
ENDIF

IF MEDIUMMODEL
LCODE   EQU     1
LDATA   EQU     0
%out    MEDIUM MODEL
ENDIF

IF COMPACTMODEL
LCODE   EQU     0
LDATA   EQU     1
%out    COMPACT MODEL
ENDIF

IF LARGEMODEL
LCODE   EQU     1
LDATA   EQU     1
%out    LARGE MODEL
ENDIF
